"use strict";
//
// Copyright 2023 Signal Messenger, LLC
// SPDX-License-Identifier: AGPL-3.0-only
//
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CallLinkRestrictions = exports.CallLinkState = exports.CallLinkRootKey = void 0;
const Native_1 = __importDefault(require("./Native"));
class CallLinkRootKey {
    constructor(bytes) {
        this.bytes = bytes;
    }
    static parse(str) {
        return new CallLinkRootKey(Native_1.default.CallLinkRootKey_parse(str));
    }
    static fromBytes(bytes) {
        Native_1.default.CallLinkRootKey_validate(bytes);
        return new CallLinkRootKey(bytes);
    }
    static generate() {
        return new CallLinkRootKey(Native_1.default.CallLinkRootKey_generate());
    }
    static generateAdminPassKey() {
        // eslint-disable-next-line @typescript-eslint/no-unsafe-return
        return Native_1.default.CallLinkRootKey_generateAdminPasskey();
    }
    deriveRoomId() {
        // eslint-disable-next-line @typescript-eslint/no-unsafe-return
        return Native_1.default.CallLinkRootKey_deriveRoomId(this.bytes);
    }
    toString() {
        // eslint-disable-next-line @typescript-eslint/no-unsafe-return
        return Native_1.default.CallLinkRootKey_toFormattedString(this.bytes);
    }
}
exports.CallLinkRootKey = CallLinkRootKey;
class CallLinkState {
    constructor(name, restrictions, revoked, expiration) {
        this.name = name;
        this.restrictions = restrictions;
        this.revoked = revoked;
        this.expiration = expiration;
    }
}
exports.CallLinkState = CallLinkState;
var CallLinkRestrictions;
(function (CallLinkRestrictions) {
    CallLinkRestrictions[CallLinkRestrictions["None"] = 0] = "None";
    CallLinkRestrictions[CallLinkRestrictions["AdminApproval"] = 1] = "AdminApproval";
    CallLinkRestrictions[CallLinkRestrictions["Unknown"] = 2] = "Unknown";
})(CallLinkRestrictions || (exports.CallLinkRestrictions = CallLinkRestrictions = {}));
//# sourceMappingURL=CallLinks.js.map